##
##  fourstore-java.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg 20100331
%define       V_git  b9cf1fe

#   package information
Name:         fourstore-java
Summary:      SPARQL over HTTP Java API and CLI
URL:          http://github.com/clarkparsia/4Store-API
Vendor:       Michael Grove
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Database
License:      Apache
Version:      %{V_opkg}
Release:      20120713

#   list of sources
Source0:      http://download.github.com/clarkparsia-4Store-API-%{V_git}.tar.gz
Source1:      fourstore.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, pkgconfig, make
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  curl, libxml, glib, readline, ncurses
PreReq:       curl, libxml, glib, readline, ncurses

%description
    This is a Java API for accessing the 4store RDF store.

%track
    prog fourstore-java = {
        version   = %{version}
        url       = http://github.com/clarkparsia/4Store-API
        regex     = clarkparsia-4Store-API-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n clarkparsia-4Store-API-%{V_git}

%build
    rm -f lib/clark-parsia/cp-common-openrdf-0.2.jar
    rm -rf lib/junit
    %{l_prefix}/bin/ant

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/fourstore
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE fourstore.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/4store
    %{l_shtool} install -c -m 644 \
        dist/lib/*.jar \
        dist/lib/clark-parsia/*.jar \
        dist/lib/jewelcli/*.jar \
        dist/lib/sesame/*.jar \
        $RPM_BUILD_ROOT%{l_prefix}/lib/fourstore/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

